Update for cPanel & WHM Versions 11.38, 11.36, 11.34, & 11.32

cPanel, Inc. has published a security update for cPanel & WHM versions 11.38, 11.36, 11.34, and 11.32. This update resolves an issue with unchecked reseller privileges. We recommend all customers update to the latest build of each version as soon as possible.

The cPanel Security Team has assigned a rating of Moderate to the vulnerability. Information on security ratings is available at http://docs.cpanel.net/twiki/bin/view/AllDocumentation/SecurityLevels.

Using a handcrafted URL, a malicious reseller could cause WHM to overwrite files in root’s .ssh directory with a randomly generated private key. This could result in a denial of service attack if the key is being used.

If your deployed cPanel & WHM servers are configured to automatically update when new releases are available, then no action is required. Your systems will update automatically. If you have disabled automatic updates, then you are highly encouraged to update your cPanel & WHM installs at your earliest convenience.

Releases

The following versions of cPanel & WHM address all known vulnerabilities:

* 11.38.0.5
* 11.36.1.6
* 11.34.1.14
* 11.32.6.5

The latest public releases of cPanel & WHM for all update tiers are published at http://httpupdate.cpanel.net.

Acknowledgements

cPanel, Inc. would like to thank the source who reported the vulnerability.

For the PGP Signed Message, please go here.

Posted in: Security | Tagged: